# lab2_aov.R
# PSYCH 4165 Lab 2
# Command file for using lme() to compute a
# repeated measures analysis of variance in R.
library(nlme)		# load the nlme library to use lme()
par(ask=TRUE)
par(mfcol=c(2,1))	# two plots per figure
# Read data into R and store it in a data frame:
df <- read.delim("lab2_Group_Data.txt")
# Write out a summary of the variables in the data frame:
print(summary(df))

# Test the hypothesis that SDT and HTM are
# equally good at describing the data
# Make a strip chart of the data
with(df,  stripchart(AIC ~  mod,
	method = "jitter",  jitter = 0.03,
	xlab = "Badness-of-Fit (AIC)",
	ylab = "Detection Model (HTM vs. SDT)",
	main = "Lab 2 Group Data"))
# Make a box plot of the data:
boxplot(AIC ~ mod, data = df, horizontal = TRUE,
	xlab = "Badness-of-Fit (AIC)",
	ylab = "Detection Model (HTM vs. SDT)")
# Compute a repeated measures ANOVA
print("Badness-of-Fit ANOVA and Means")
a <- lme(AIC ~ mod, random = ~ 1|subj, data = df)
print(anova(a))
with(df,print(cbind(mean = tapply(AIC, mod, mean),
	std.dev = tapply(AIC, mod, sd),
	n = tapply(AIC, mod, length))))	

# Test the hypothesis that eyes have no influence on face memory
# Make a strip chart of the data
with(df, stripchart(da ~ eyes, method = "jitter", jitter = 0.03,
	xlab = "Sensitivity (Da)",
	ylab = "Eyes (Yes or No)",
	main = "Lab 2 Group Data"))
# Make a box plot of the data
boxplot(da ~ eyes, data = df, horizontal = TRUE,
	ylab = "Eyes (Yes or No)",
	xlab = "Sensitivity (Da)")
# Compute the repeated measures ANOVA
print("d-sub-a ANOVA and Means")
b <- lme(da ~ eyes, random = ~ 1|subj, data = df)
print(anova(b))
with(df,print(cbind(mean = tapply(da, eyes, mean),
	std.dev = tapply(da, eyes, sd),
	n = tapply(da, eyes, length))))

par(mfcol=c(1,1))
par(ask=FALSE)